#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/@COMPONENT.h"

namespace morpheo {
namespace behavioural {
@NAMESPACE_BEGIN

#undef  FUNCTION
#define FUNCTION "@COMPONENT::statistics_print"
  std::string @COMPONENT::statistics_print (uint32_t depth)
  {
    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");

    std::string txt = _stat->print(depth);
    
    log_printf(FUNC,@COMPONENT,FUNCTION,"End");

    return txt;
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
#endif
